Bug 1468969 - set the shard-block-size to 64MB in virt profile
set the shard-block-size to 64MB in virt profile
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: sharding (Show other bugs)
x86_64 Unspecified
unspecified Severity urgent
: ---
: RHGS 3.3.1
Assigned To: Krutika Dhananjay
: ZStream
Depends On: 1489823 1492026
Blocks: Gluster-HC-3 1475688 1489352
  Show dependency treegraph
Reported: 2017-07-10 02:39 EDT by SATHEESARAN
Modified: 2017-11-28 22:29 EST (History)
10 users (show)

See Also:
Fixed In Version: glusterfs-3.8.4-46
Doc Type: Bug Fix
Doc Text:
Previously, the default shard size was 4MB. This resulted in low I/O performance compared to larger shards for some common workloads. The default shard size has now been set to 64MB in order to address both self-heal and I/O performance needs.
Story Points: ---
Clone Of:
: 1489352 1489823 (view as bug list)
Last Closed: 2017-11-28 22:29:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description SATHEESARAN 2017-07-10 02:39:24 EDT
Description of problem:
The better performance was observed with the shard-size of 128MB.
Virt profile should have this attribute and so its set on the volume when the volume is optimized for virt-profile

Version-Release number of selected component (if applicable):
RHGS 3.2.0

How reproducible:

Steps to Reproduce:

Actual results:
Shard-size is set to 4MB

Expected results:
shard-size should be set to 128MB so that perf improvement is observed
Comment 1 SATHEESARAN 2017-07-10 02:52:40 EDT
At the moment, performance tests are done with different values and the value is yet to finalized based on the perf tests
Comment 6 SATHEESARAN 2017-09-08 05:23:33 EDT
Additiona info:

I have created a doc bug[1] to update the features.shard-block-size to 64MB with RHV-RHGS guide.

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=1489743
Comment 7 Krutika Dhananjay 2017-09-08 08:39:23 EDT
Comment 8 Krutika Dhananjay 2017-09-14 04:26:55 EDT
Comment 9 Atin Mukherjee 2017-09-15 08:53:39 EDT
upstream mainline : https://review.gluster.org/#/c/18243/
upstream 3.12 : https://review.gluster.org/#/c/18305/
downstream : https://code.engineering.redhat.com/gerrit/118074
Comment 11 SATHEESARAN 2017-10-12 01:09:28 EDT
The original intent of the bug is to update the virt profile to have the shard-block-size as 64MB. But in actual, the default shard block size is now updated.

Tested with RHGS 3.3.1 interim build ( glusterfs-3.8.4-48.el7rhgs )
The default shard size is 64MB

[root@ ~]# gluster volume get test shard-block-size
Option                                  Value                                   
------                                  -----                                   
features.shard-block-size               64MB
Comment 15 Krutika Dhananjay 2017-11-14 11:29:14 EST
Looks good to me, Pratik!
Comment 16 Pratik Mulay 2017-11-15 00:40:17 EST
Changes in Doc Text to make it concise.
Comment 19 errata-xmlrpc 2017-11-28 22:29:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.